×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Nov 2006
    Posts
    40

    doubt abt install/uninstall Application programmatically in S60 3rd Edition

    Hi All

    i am tring to install sisx file programmatically in 3rd edition.

    i used this link http://discussion.forum.nokia.com/fo...ight=installer

    i downloaded api plugin also with silentinst application.

    when i try to compile the silentinst application its giving linking error.

    any one have succeded it early or some knows how to do this, pls help me.

    thanks in adv
    Murugaraj G

  2. #2
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,344

    Re: doubt abt install/uninstall Application programmatically in S60 3rd Edition

    Quote Originally Posted by gmurugaraj View Post
    Hi All

    i am tring to install sisx file programmatically in 3rd edition.

    i used this link http://discussion.forum.nokia.com/fo...ight=installer

    i downloaded api plugin also with silentinst application.

    when i try to compile the silentinst application its giving linking error.

    any one have succeded it early or some knows how to do this, pls help me.

    thanks in adv
    Murugaraj G
    Have you installed Extension plugin package with respect to your S60 SDK version?

    Check this link: http://wiki.forum.nokia.com/index.php/SDK_API_Plug-in

    Kiran.
    Nokia Developer Wiki Moderation team

  3. #3
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: doubt abt install/uninstall Application programmatically in S60 3rd Edition

    Quote Originally Posted by gmurugaraj View Post
    Hi All

    i am tring to install sisx file programmatically in 3rd edition.

    i used this link http://discussion.forum.nokia.com/fo...ight=installer

    i downloaded api plugin also with silentinst application.

    when i try to compile the silentinst application its giving linking error.

    any one have succeded it early or some knows how to do this, pls help me.

    thanks in adv
    Murugaraj G
    I am assuming that you installed the Plug in as instructed in docs.
    What is the Linking error you are getting can you show us.

  4. #4
    Registered User
    Join Date
    Nov 2006
    Posts
    40

    Re: doubt abt install/uninstall Application programmatically in S60 3rd Edition

    sorry for replying bit late.

    i installed the plugin for 9.2.

    i am not able to build for armv5, error saying that not supported for armv5 platform. and i tryied to compile for gcce . its compiling without error but i have the doubt abt using the same lib files for gcce also.

    and i have one more doubt that do i need any partener licence for using the api or i can use with free sdk .

    lastly i 'd like to know the same api is avilable for UIQ 3.1, if some know abt this api for UIQ pls give some link.

    thanks in adv
    Murugaraj G

  5. #5
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,167

    Re: doubt abt install/uninstall Application programmatically in S60 3rd Edition

    you can build it for gcce very well, should work more or less the same as with armv5.

    For UIQ, you could check their developer sites and see if there is anybody who could help you on the API.

  6. #6
    Registered User
    Join Date
    Nov 2006
    Posts
    40

    Re: doubt abt install/uninstall Application programmatically in S60 3rd Edition

    Hi all

    i am able to build for gcce and i installed it after signing.

    but when i am calling that part of code to install other sis file i am reciving msg like "swiui::funname" is missing in dll something so.

    do i need to send any dll with sis through pkg file.

    thanks in adv
    Murugaraj G

  7. #7
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,167

    Re: doubt abt install/uninstall Application programmatically in S60 3rd Edition

    if you are using functions from the dll, you should indeed install it to the device. Unless it is something that is in the device already (i.e. normal platform API)

Similar Threads

  1. Programmatically get information about current wallpaper in S60 3rd Edition?
    By bharath_hegde in forum Symbian Media (Closed)
    Replies: 1
    Last Post: 2007-12-15, 11:18
  2. Replies: 7
    Last Post: 2007-09-05, 10:38
  3. Replies: 7
    Last Post: 2007-03-12, 21:54

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×